Bug 113057 - Segmetation fault when compiling xalan C++ source code
Segmetation fault when compiling xalan C++ source code
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-07 15:31 EST by Anne Racel
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-12 03:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anne Racel 2004-01-07 15:31:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)

Description of problem:
d ~/external/xml-xalan/src/xalanc/
gmake -f /home/crc/external/xml-xalan/src/xalanc/Makefile
Preparing the directory structure for a build ...
mkdir -p /home/crc/external/xml-xalan/obj
mkdir -p /home/crc/external/xml-xalan/lib
mkdir -p /home/crc/external/xml-xalan/bin
c++ -O2 -DNDEBUG      -fno-elide-constructors -Wall -fPIC -DLINUX
-D_REENTRANT  -c -I/home/crc/external/xml-xalan/src
-I/home/crc/external/xml-xerces/include/  -o
In method 
(xalanc_1_6::XPathEnvSupport &, 
xalanc_1_6::DOMSupport &, xalanc_1_6::XObjectFactory &,
xalanc_1_6::XalanNode *, const 
xalanc_1_6::NodeRefListBase *, const xalanc_1_6::PrefixResolver *)':
Internal error: Segmentation 
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake: ***
[/home/crc/external/xml-xalan/obj/XPathExecutionContextDefault.o] Error 1

Compilation exited abnormally with code 2 at Wed Jan  7 15:28:01

Version-Release number of selected component (if applicable):
Xalan 1.6 gcc 2.96 

How reproducible:

Steps to Reproduce:
1. run 'gmake' from ${XALANCROOT}/src/xalanc, as per apache's
instructions for the module

Actual Results:  As can be seen from the output, this produced a
segmentation fault.

Expected Results:  Complete compilation.

Additional info:
Comment 1 Jakub Jelinek 2004-01-12 03:54:52 EST
RHL7.2 is EOL.  Try gcc-3.{2,3}.* in a newer distribution.
If you manage to reproduce it with that compiler, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.